Count (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.shell, class: Count

Package org.apache.hadoop.fs.shell

# Class Count

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.fs.shell.Command
org.apache.hadoop.fs.shell.FsCommand
org.apache.hadoop.fs.shell.Count

All Implemented Interfaces:
  `Configurable`

@Private @Evolving public class Count extends FsCommand
Count the number of directories, files, bytes, quota, and remaining quota.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESCRIPTION`
  `static final String`
  `NAME`
  `static final String`
  `USAGE`

  ### Fields inherited from class org.apache.hadoop.fs.shell.Command

  `args, COMMAND_DESCRIPTION_FIELD, COMMAND_NAME_FIELD, COMMAND_USAGE_FIELD, err, exceptions, exitCode, name, numErrors, out, recursive`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Count()`
  Constructor
  `Count(String[] cmd, int pos, Configuration conf)`
  Deprecated.
  invoke via `FsShell`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `processOptions(LinkedList<String> args)`
  Must be implemented by commands to process the command line flags and check the bounds of the remaining arguments.
  `protected void`
  `processPath(PathData src)`
  Hook for commands to implement an operation to be applied on each path for the command.
  `static void`
  `registerCommands(CommandFactory factory)`
  Register the names for the count command

  ### Methods inherited from class org.apache.hadoop.fs.shell.FsCommand

  `getCommandName, processRawArguments, run, runAll`

  ### Methods inherited from class org.apache.hadoop.fs.shell.Command

  `displayError, displayError, displayWarning, exitCodeForError, expandArgument, expandArguments, getCommandFactory, getDepth, getDescription, getListingGroupSize, getName, getReplacementCommand, getUsage, isDeprecated, isPathRecursable, isRecursive, isSorted, postProcessPath, processArgument, processArguments, processNonexistentPath, processPathArgument, processPaths, processPaths, recursePath, run, run, setCommandFactory, setName, setRecursive`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### USAGE

    public static final String USAGE
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION

- ## Constructor Details

  - ### Count

    public Count()
    Constructor

  - ### Count

    @Deprecated public Count(String[] cmd, int pos, Configuration conf)
    Deprecated.
    invoke via `FsShell`
    Constructor
    Parameters:
      `cmd` - the count command
      `pos` - the starting index of the arguments
      `conf` - configuration

- ## Method Details

  - ### registerCommands

    public static void registerCommands(CommandFactory factory)
    Register the names for the count command
    Parameters:
      `factory` - the command factory that will instantiate this class

  - ### processOptions

    protected void processOptions(LinkedList<String> args)
    Description copied from class: `Command`
    Must be implemented by commands to process the command line flags and check the bounds of the remaining arguments. If an IllegalArgumentException is thrown, the FsShell object will print the short usage of the command.
    Overrides:
      `processOptions` in class `Command`
    Parameters:
      `args` - the command line arguments

  - ### processPath

    protected void processPath(PathData src) throws IOException
    Description copied from class: `Command`
    Hook for commands to implement an operation to be applied on each path for the command. Note implementation of this method is optional if earlier methods in the chain handle the operation.
    Overrides:
      `processPath` in class `Command`
    Parameters:
      `src` - a `PathData` object
    Throws:
      `IOException` - if anything else goes wrong in the user-implementation